#!/bin/bash

abspath=`pwd`/`dirname $0`
svg="$abspath/de.haeckerfelix.gradio.svg"
iconset="$abspath/Gradio.iconset"

mkdir -p $iconset
if [[ -x /Applications/Inkscape.app/Contents/Resources/bin/inkscape ]]
then
  inkscape="/Applications/Inkscape.app/Contents/Resources/bin/inkscape -z -e"
  $inkscape "$iconset"/icon_16x16.png      -w 16   -h 16   -f "$svg"
  $inkscape "$iconset"/icon_16x16@2x.png   -w 32   -h 32   -f "$svg"
  $inkscape "$iconset"/icon_32x32.png      -w 32   -h 32   -f "$svg"
  $inkscape "$iconset"/icon_32x32@2x.png   -w 64   -h 64   -f "$svg"
  $inkscape "$iconset"/icon_128x128.png    -w 128  -h 128  -f "$svg"
  $inkscape "$iconset"/icon_128x128@2x.png -w 256  -h 256  -f "$svg"
  $inkscape "$iconset"/icon_256x256.png    -w 256  -h 256  -f "$svg"
  $inkscape "$iconset"/icon_256x256@2x.png -w 512  -h 512  -f "$svg"
  $inkscape "$iconset"/icon_512x512.png    -w 512  -h 512  -f "$svg"
  $inkscape "$iconset"/icon_512x512@2x.png -w 1024 -h 1024 -f "$svg"
else
  if [[ `convert -list format | grep RSVG` ]]; then
	echo "For best results install Inkscale in /Applications/Inkscape.app or"
	echo "recompile imagemagick with RSVG: brew reinstall imagemagick --with-librsvg"
  fi
  options="-background none"
  convert -size 16x16     "$svg" $options "$iconset"/icon_16x16.png
  convert -size 32x32     "$svg" $options "$iconset"/icon_16x16@2x.png
  convert -size 32x32     "$svg" $options "$iconset"/icon_32x32.png
  convert -size 64x64     "$svg" $options "$iconset"/icon_32x32@2x.png
  convert -size 128x128   "$svg" $options "$iconset"/icon_128x128.png
  convert -size 256x256   "$svg" $options "$iconset"/icon_128x128@2x.png
  convert -size 256x256   "$svg" $options "$iconset"/icon_256x256.png
  convert -size 512x512   "$svg" $options "$iconset"/icon_256x256@2x.png
  convert -size 512x512   "$svg" $options "$iconset"/icon_512x512.png
  convert -size 1024x1024 "$svg" $options "$iconset"/icon_512x512@2x.png
fi

cp $iconset/icon_512x512@2x.png $abspath/../MacOS/de.haeckerfelix.gradio.png
iconutil -c icns $iconset
rm -r $iconset
